function BadKitty_OLoad()
	SlashCmdList["BADKITTY"] = BadKitty_Slashes
	SLASH_BADKITTY1 = "/badkitty"
	SLASH_BADKITTY2 = "/bk"
	--[[BadKittyOptionsCheckOOCWarnings:SetChecked(BadKittySaves[4])
	if not BadKittyOptionsCheckOOCWarnings:GetChecked() then
		BadKittyOptionsCheckOOCBars:SetChecked()
	end]]
end

function BadKitty_Slashes(msg)
	if msg == "0" then
		ReloadUI();
		return
	else
		BadKittyOptions:Show()
		return
	end
	if msg == "0" then
		ReloadUI();
		return 0;
	end
	local a,b=strfind(msg, "%S+")
	Cmd = strsub(msg,a,b)
	Sub = strsub(msg,b+2)
	if Cmd then
		BadKittyOptions:Show()
	elseif Cmd == "defaults" then
		BadKittySaves = BadKittyDefaults
		BadKitty_Output("BadKitty's options have been reset to their defaults.")
		BadKitty_Setup()
	elseif Cmd == "ooc" then
		if BadKittySaves[10] ==1 then
			BadKittySaves[10] = 0
			BadKitty_Output("You will no longer be warned when Omen of Clarity procs.")
		else
			BadKittySaves[10] = 1
			BadKitty_Output("You will be warned when Omen of Clarity procs.")
		end
	elseif Cmd == "height" then
		if Sub == "" then
			BadKitty_Output("Type /bk height x, where x is pixels.  Current: " .. BadKittySaves[1])
		else
			BadKitty_Resize(Sub,nil)
		end
	elseif Cmd == "width" then
		if Sub == "" then
			BadKitty_Output("Type /bk width x, where x is pixels.  Current: " .. BadKittySaves[2])
		else
			BadKitty_Resize(nil,Sub)
		end
	elseif Cmd == "font" then
		if Sub == "" then
			BadKitty_Output("Type /bk font x, where x is the font size.  Current: " .. BadKittySaves[6])
		else
			BadKitty_Font(Sub)
		end
	end
end 

--------

function BadKitty_Font()
	local size = BadKittyOptionsFont:GetValue()
	BadKittySaves[6] = size
	BadKitty_Setup()
	BadKitty_Output(BadKittySaves[6])
end

function BadKitty_Resize()
	local width = BadKittyOptionsWidth:GetValue()
	local height = BadKittyOptionsHeight:GetValue()
	if height then
		BadKittySaves[1] = height
	end
	if width then
		BadKittySaves[2] = width
	end
	BadKitty_Setup()
end

function BadKitty_CombatHide()
	if this:GetChecked() then
		BadKittySaves[7]=1
	else
		BadKittySaves[7]=0
	end
end

function BadKitty_Warn()
	if this:GetChecked() then
		BadKittySaves[11] = 1
	else
		BadKittySaves[11] = 0
	end
end

function BadKitty_Bar()
	if this:GetChecked() then
		BadKittySaves[9] = 1
	else
		BadKittySaves[9] = 0
	end
end

function BadKitty_Lock()
	if this:GetChecked() then
		BadKittySaves[8] = 1
		BKWMoveFrame:EnableMouse(0)
		BKWMoveFrame:SetAlpha(0)
		BKWBearMoveFrame:EnableMouse(0)
		BKWBearMoveFrame:SetAlpha(0)
		BadKittySaves[7]=BadKittyTempHide
	else
		BadKittySaves[8] = 0
		BKWMoveFrame:EnableMouse(1)
		BKWMoveFrame:SetAlpha(1)
		BKWBearMoveFrame:EnableMouse(1)
		BKWBearMoveFrame:SetAlpha(1)
		BadKittyTempHide=BadKittySaves[7]
		BadKittySaves[7]=0
	end
end

function BadKitty_OOCToggle()
	if this:GetChecked() then
		BadKittySaves[10] = 1
	else
		BadKittySaves[10] = 0
	end
end

function BadKitty_OOCPosition()
	if BadKittyOptionsCheckOOCBars:GetChecked() then
		BadKittySaves[4] = 1
	else
		BadKittySaves[4] = 0 
	end
	BadKitty_Setup()
end

function BadKitty_CenterFrame()
	BadKittyFrame:ClearAllPoints()
	BadKittyFrame:SetPoint("CENTER", "UIParent", "CENTER")
	BadKittyWarnings:ClearAllPoints()
	BadKittyWarnings:SetPoint("CENTER", "UIParent", "CENTER")
	BadKittyBear:ClearAllPoints()
	BadKittyBear:SetPoint("CENTER", "UIParent", "CENTER")
	
end

function BadKitty_HideCP()
	if BadKittyOptionsCheckCP:GetChecked() then
		BadKittyFrameCPBar:Show()
		BadKittyFrame:SetHeight(BadKittySaves[1])
		BadKittySaves[5]=1
	else
		BadKittyFrameCPBar:Hide()
		BadKittyFrame:SetHeight(BadKittySaves[1]+BadKittySaves[3])
		BadKittySaves[5]=0
	end
	--BadKitty_Setup()
end

function BKMove()
	if BadKittySaves[8] == 0 then
		BadKittyFrame:StartMoving()
	end
end 

function BKBMove()
	if BadKittySaves[8] == 0 then
		BadKittyBear:StartMoving()
	end
end 

function BKWMove()
	if BadKittySaves[8] == 0 then
		BadKittyWarnings:StartMoving()
	end
end 

function BKWBearMove()
	if BadKittySaves[8] == 0 then
		BadKittyBearWarnings:StartMoving()
	end
end 

function BadKitty_Timer()
	BadKittySaves[12] = BadKittyOptionsTimer:GetValue()
end

function BadKitty_HideBear()
	BadKittyBear:Hide()
	BadKittyBearWarnings:Hide()
end 